> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms/workingset.md).

# Working Set

Reference documentation for Working Set node in the Solution Explorer

## Overview

Working Set is like a folder for organizing forms in Solution Explorer. It is only present and relevant in Servoy Developer (will not be exported or present in Client).\
A working set is only visible in Solution Explorer.

## Commands Summary

A summary of commands available on this item via right-click context menu:

| Command                                                 | Summary                                                                                    |
| ------------------------------------------------------- | ------------------------------------------------------------------------------------------ |
| [Create new form](#create-new-form)                     | Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md) |
| [Create new form component](#create-new-form-component) | Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md) |
| [Delete working set](#delete-working-set)               | Deletes the working set                                                                    |
| [Rename working set](#rename-working-set)               | Renames the working set                                                                    |

## Commands Details

The details for each command available on this item via right-click context menu:

### Create new form

Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md).

### Create new form component

Opens the [New Form Wizard](/reference/servoy-developer/object-editors/new-form-wizard.md). Will create a new special type of form, see [Form Components](/reference/servoy-developer/solution-explorer/all-solutions/active-solution/form-components.md)

### Delete working set

Deletes the working set. No actual form is deleted, just deletes the working set from workspace.

### Rename working set

Renames the working set. Can choose a new name.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/servoy-developer/solution-explorer/all-solutions/active-solution/forms/workingset.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
